提交 0a5b31cf 编写于 作者: E erikj

Merge

......@@ -198,3 +198,4 @@ c1be681d80a1f1c848dc671d664fccb19e046a12 jdk8-b72
b43aa5bd8ca5c8121336495382d35ecfa7a71536 jdk8-b74
2a713921952cbd77a1e699626976cb6cdfe3e57e jdk8-b75
278af9fc67e7eba2884936b49ec07345f423aabb jdk8-b76
3933eebc659d58c597aa8cb4b3e58f2250ce3e1a jdk8-b77
......@@ -65,12 +65,12 @@ mkdir -p ${tmp}
safe_interrupt () {
if [ -d ${tmp} ]; then
if [ "`ls ${tmp}`" != "" ]; then
echo "Waiting for processes ( `cat ${tmp}/* | tr '\n' ' '`) to terminate nicely!"
if [ "`ls ${tmp}/*.pid`" != "" ]; then
echo "Waiting for processes ( `cat ${tmp}/*.pid | tr '\n' ' '`) to terminate nicely!"
sleep 1
# Pipe stderr to dev/null to silence kill, that complains when trying to kill
# a subprocess that has already exited.
kill -TERM `cat ${tmp}/* | tr '\n' ' '` 2> /dev/null
kill -TERM `cat ${tmp}/*.pid | tr '\n' ' '` 2> /dev/null
wait
echo Interrupt complete!
fi
......@@ -172,10 +172,22 @@ for i in ${repos} ${repos_extra} ; do
if [ "${command}" = "clone" -o "${command}" = "fclone" ] ; then
pull_newrepo="`echo ${pull_base}/${i} | sed -e 's@\([^:]/\)//*@\1@g'`"
echo ${hg} clone ${pull_newrepo} ${i}
${hg} clone ${pull_newrepo} ${i} &
path="`dirname ${i}`"
if [ "${path}" != "." ] ; then
times=0
while [ ! -d "${path}" ] ## nested repo, ensure containing dir exists
do
times=`expr ${times} '+' 1`
if [ `expr ${times} '%' 10` -eq 0 ] ; then
echo ${path} still not created, waiting...
fi
sleep 5
done
fi
(${hg} clone ${pull_newrepo} ${i}; echo "$?" > ${tmp}/${repopidfile}.pid.rc )&
else
echo "cd ${i} && ${hg} $*"
cd ${i} && ${hg} "$@" &
cd ${i} && (${hg} "$@"; echo "$?" > ${tmp}/${repopidfile}.pid.rc )&
fi
echo $! > ${tmp}/${repopidfile}.pid
) 2>&1 | sed -e "s@^@${reponame}: @") &
......@@ -189,6 +201,15 @@ done
# Wait for all hg commands to complete
wait
# Terminate with exit 0 all the time (hard to know when to say "failed")
exit 0
# Terminate with exit 0 only if all subprocesses were successful
ec=0
if [ -d ${tmp} ]; then
for rc in ${tmp}/*.pid.rc ; do
exit_code=`cat ${rc} | tr -d ' \n\r'`
if [ "${exit_code}" != "0" ] ; then
echo "WARNING: ${rc} exited abnormally."
ec=1
fi
done
fi
exit ${ec}
......@@ -167,7 +167,7 @@ bootcycle-images:
test: start-make
@$(call TargetEnter)
@($(CD) $(SRC_ROOT)/test && $(BUILD_LOG_WRAPPER) $(MAKE) MAKEFLAGS= -j1 PRODUCT_HOME=$(OUTPUT_ROOT)/jdk JPRT_JAVA_HOME=$(OUTPUT_ROOT)/jdk ALT_OUTPUTDIR=$(OUTPUT_ROOT) $(TEST)) || true
@($(CD) $(SRC_ROOT)/test && $(BUILD_LOG_WRAPPER) $(MAKE) -j1 -k MAKEFLAGS= PRODUCT_HOME=$(OUTPUT_ROOT)/jdk JPRT_JAVA_HOME=$(OUTPUT_ROOT)/jdk ALT_OUTPUTDIR=$(OUTPUT_ROOT) $(TEST)) || true
@$(call TargetExit)
# Stores the tips for each repository. This file is be used when constructing the jdk image and can be
......
......@@ -128,9 +128,9 @@ CORE_PKGS = \
java.text \
java.text.spi \
java.time \
java.time.temporal \
java.time.calendar \
java.time.chrono \
java.time.format \
java.time.temporal \
java.time.zone \
java.util \
java.util.concurrent \
......
......@@ -26,7 +26,7 @@
#
# Get clones of all nested repositories
sh ./common/bin/hgforest.sh clone "$@"
sh ./common/bin/hgforest.sh clone "$@" || exit 1
# Update all existing repositories to the latest sources
sh ./common/bin/hgforest.sh pull -u
......
......@@ -19,7 +19,7 @@
#
# CDDL HEADER END
#
# Copyright (c) 2008, 2011, Oracle and/or its affiliates. All rights reserved.
# Copyright (c) 2008, 2013, Oracle and/or its affiliates. All rights reserved.
# Use is subject to license terms.
#
# This script takes a file list and a workspace and builds a set of html files
......@@ -27,7 +27,7 @@
# Documentation is available via 'webrev -h'.
#
WEBREV_UPDATED=23.18-hg
WEBREV_UPDATED=23.18-hg+jbs
HTML='<?xml version="1.0"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
......@@ -146,7 +146,7 @@ html_quote()
#
bug2url()
{
sed -e 's|[0-9]\{5,\}|<a href=\"'$BUGURL'&\">&</a>|g'
sed -e 's|[0-9]\{5,\}|<a href=\"'$BUGURL$IDPREFIX'&\">&</a>|g'
}
#
......@@ -230,8 +230,8 @@ strip_unchanged()
# $ sdiff_to_html old/usr/src/tools/scripts/webrev.sh \
# new/usr/src/tools/scripts/webrev.sh \
# webrev.sh usr/src/tools/scripts \
# '<a href="http://monaco.sfbay.sun.com/detail.jsp?cr=1234567">
# 1234567</a> my bugid' > <file>.html
# '<a href="https://jbs.oracle.com/bugs/browse/JDK-1234567">
# JDK-1234567</a> my bugid' > <file>.html
#
# framed_sdiff() is then called which creates $2.frames.html
# in the webrev tree.
......@@ -2521,10 +2521,16 @@ print " Output to: $WDIR"
# Bug IDs will be replaced by a URL. Order of precedence
# is: default location, $WEBREV_BUGURL, the -O flag.
#
BUGURL='http://monaco.sfbay.sun.com/detail.jsp?cr='
BUGURL='https://jbs.oracle.com/bugs/browse/'
[[ -n $WEBREV_BUGURL ]] && BUGURL="$WEBREV_BUGURL"
[[ -n "$Oflag" ]] && \
if [[ -n "$Oflag" ]]; then
CRID=`echo $CRID | sed -e 's/JDK-//'`
BUGURL='http://bugs.sun.com/bugdatabase/view_bug.do?bug_id='
IDPREFIX=''
else
IDPREFIX='JDK-'
fi
#
# Likewise, ARC cases will be replaced by a URL. Order of precedence
......@@ -3000,22 +3006,31 @@ fi
# external URL has a <title> like:
# <title>Bug ID: 6641309 Wrong Cookie separator used in HttpURLConnection</title>
# while internal URL has <title> like:
# <title>6641309: Wrong Cookie separator used in HttpURLConnection</title>
# <title>[#JDK-6641309] Wrong Cookie separator used in HttpURLConnection</title>
#
if [[ -n $CRID ]]; then
for id in $CRID
do
if [[ -z "$Oflag" ]]; then
#add "JDK-" to raw bug id for jbs links.
id=`echo ${id} | sed 's/^\([0-9]\{5,\}\)$/JDK-\1/'`
fi
print "<tr><th>Bug id:</th><td>"
url="${BUGURL}${id}"
if [[ -n "$Oflag" ]]; then
cleanup='s/Bug ID: \([0-9]\{5,\}\) \(.*\)/JDK-\1 : \2/'
else
cleanup='s|\[#\(JDK-[0-9]\{5,\}\)\] \(.*\)|\1 : \2|'
fi
if [[ -n $WGET ]]; then
msg=`$WGET -q $url -O - | grep '<title>' | sed 's/<title>\(.*\)<\/title>/\1/' | sed 's/Bug ID://'`
msg=`$WGET --timeout=10 --tries=1 -q $url -O - | grep '<title>' | sed 's/<title>\(.*\)<\/title>/\1/' | sed "$cleanup"`
fi
if [[ -n $msg ]]; then
print "<a href=\"$url\">$msg</a>"
else
print $id | bug2url
if [[ -z $msg ]]; then
msg="${id}"
fi
print "<a href=\"$url\">$msg</a>"
print "</td></tr>"
done
fi
......@@ -3179,4 +3194,3 @@ exec 3<&- # close FD 3.
print "Done."
print "Output to: $WDIR"
......@@ -38,8 +38,8 @@ JDK_DIR=$(TOPDIR)/jdk
define SUBDIR_TEST # subdirectory target
if [ -d $1 ] ; then \
if [ -r $1/test/Makefile ] ; then \
echo "$(MAKE) -C $1/test $2" ; \
$(MAKE) -C $1/test $2 ; \
echo "$(MAKE) -k -C $1/test $2" ; \
$(MAKE) -k -C $1/test $2 ; \
else \
echo "ERROR: File does not exist: $1/test/Makefile"; \
exit 1; \
......@@ -53,7 +53,7 @@ endef
LANGTOOLS_TEST_LIST = langtools_jtreg
# Test target list for jdk repository
JDK_DEFAULT_TEST_LIST = \
JDK_ALL_TEST_LIST = \
jdk_beans1 \
jdk_io \
jdk_lang \
......@@ -64,10 +64,7 @@ JDK_DEFAULT_TEST_LIST = \
jdk_security1 \
jdk_text \
jdk_util \
jdk_time
# These tests are not part of the default testing list
JDK_NONDEFAULT_TEST_LIST = \
jdk_time \
jdk_awt \
jdk_beans2 jdk_beans3 \
jdk_management \
......@@ -80,14 +77,14 @@ JDK_NONDEFAULT_TEST_LIST = \
jdk_jdi \
jdk_jfr
# All jdk tests
JDK_ALL_TEST_LIST = $(JDK_DEFAULT_TEST_LIST) $(JDK_NONDEFAULT_TEST_LIST)
# Theses are meta test targets in jdk
JDK_META_TEST_LIST = jdk_all jdk_default jdk_core
# These are the current jck test targets in the jdk repository
JDK_JCK7_LIST = jck7devtools jck7compiler jck7runtime
# Default test target (everything)
default: $(JDK_DEFAULT_TEST_LIST) $(LANGTOOLS_TEST_LIST)
# Default test target (core)
default: jdk_core $(LANGTOOLS_TEST_LIST)
# All testing
all: $(JDK_ALL_TEST_LIST) $(LANGTOOLS_TEST_LIST)
......@@ -95,7 +92,8 @@ all: $(JDK_ALL_TEST_LIST) $(LANGTOOLS_TEST_LIST)
# Test targets
$(LANGTOOLS_TEST_LIST):
@$(NO_STOPPING)$(call SUBDIR_TEST, $(LANGTOOLS_DIR), $(subst langtools_,,$@))
$(JDK_ALL_TEST_LIST) $(JDK_JCK7_LIST):
$(JDK_ALL_TEST_LIST) $(JDK_META_TEST_LIST) $(JDK_JCK7_LIST):
@$(NO_STOPPING)$(call SUBDIR_TEST, $(JDK_DIR), $@)
clean:
......@@ -104,7 +102,7 @@ clean:
# Phony targets (e.g. these are not filenames)
.PHONY: all clean \
$(JDK_ALL_TEST_LIST) $(JDK_JCK7_LIST) \
$(JDK_ALL_TEST_LIST) $(JDK_META_TEST_LIST) $(JDK_JCK7_LIST) \
$(LANGTOOLS_TEST_LIST)
################################################################
......
Markdown is supported
0% .
You are about to add 0 people to the discussion. Proceed with caution.
先完成此消息的编辑!
想要评论请 注册